"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var view_1 = require("ui/core/view");
var LiquidLoader = (function (_super) {
    __extends(LiquidLoader, _super);
    function LiquidLoader() {
        _super.apply(this, arguments);
    }
    Object.defineProperty(LiquidLoader.prototype, "android", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(LiquidLoader.prototype, "_nativeView", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    LiquidLoader.prototype._createUI = function () {
        var LiquidButton = com.gospelware.liquidbutton.LiquidButton;
        this._android = new LiquidButton(this._context);
        if (!this._androidViewId) {
            this._androidViewId = android.view.View.generateViewId();
        }
        this._android.setId(this._androidViewId);
        try {
            var that = new WeakRef(this);
            this._android.setPourFinishListener(new LiquidButton.PourFinishListener({
                get owner() {
                    return that.get();
                },
                onPourFinish: function () {
                    var owner = that.get();
                    if (owner) {
                        owner._emit(LiquidLoader.pourFinishEvent);
                    }
                }
            }));
        }
        catch (err) {
            console.log(err);
        }
    };
    LiquidLoader.prototype.startPour = function () {
        this._android.startPour();
    };
    LiquidLoader.prototype.setFillAfter = function (fillAfter) {
        this._android.isFillAfter = fillAfter;
    };
    LiquidLoader.pourFinishEvent = "pourFinish";
    return LiquidLoader;
}(view_1.View));
exports.LiquidLoader = LiquidLoader;
//# sourceMappingURL=liquidloader.android.js.map